// DataFreeList.h

/* Author:  Marty Kraimer Date:    OCT98 */

/*************************************************************************
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory, and the Regents of the University of California, as
* Operator of Los Alamos National Laboratory. MPF is distributed
* subject to a Software License Agreement found in file LICENSE that
* is included with this distribution.
*************************************************************************/
#ifndef DataFreeListH
#define DataFreeListH

// Keeps a set of free lists for data

class DLList;

class DataFreeList
{
public:
    static void alloc(int size,void **pmem,int *actualSize);
    static void free(void *pmem,int actualSize);
};

#endif /*DataFreeListH*/
